/**
 * @file fs_port_config.h
 * @brief File system configuration file
 *
 * @section License
 *
 * SPDX-License-Identifier: GPL-2.0-or-later
 *
 * Copyright (C) 2010-2024 Oryx Embedded SARL. All rights reserved.
 *
 * This file is part of CycloneTCP Open.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * @author Oryx Embedded SARL (www.oryx-embedded.com)
 * @version 2.4.4
 **/

#ifndef _FS_PORT_CONFIG_H
#define _FS_PORT_CONFIG_H

//Dependencies
#include "RTE_Components.h"

//Select underlying file system
#if defined(RTE_FileSystem_Core)
   #define USE_RL_FS
#else
   #define USE_FATFS
#endif

//Number of files that can be opened simultaneously
#define FS_MAX_FILES 8

//Number of directories that can be opened simultaneously
#define FS_MAX_DIRS 8

#endif
