/**
 * @file stp_config.h
 * @brief CycloneSTP configuration file
 *
 * @section License
 *
 * SPDX-License-Identifier: GPL-2.0-or-later
 *
 * Copyright (C) 2019-2024 Oryx Embedded SARL. All rights reserved.
 *
 * This file is part of CycloneTCP Open.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * @author Oryx Embedded SARL (www.oryx-embedded.com)
 * @version 2.4.4
 **/

#ifndef _STP_CONFIG_H
#define _STP_CONFIG_H

//Dependencies
#include "RTE_Components.h"

//*** <<< Use Configuration Wizard in Context Menu >>> ***

// <h>Trace level

// <o>STP Trace level
// <i>Set the desired debugging level
// <i>Default: Info
// <0=>Off
// <1=>Fatal
// <2=>Error
// <3=>Warning
// <4=>Info
// <5=>Debug
// <6=>Verbose
#define STP_TRACE_LEVEL 0

// <o>RSTP Trace level
// <i>Set the desired debugging level
// <i>Default: Info
// <0=>Off
// <1=>Fatal
// <2=>Error
// <3=>Warning
// <4=>Info
// <5=>Debug
// <6=>Verbose
#define RSTP_TRACE_LEVEL 0

// </h>
// <h>BRIDGE-MIB

// <q>SET operation support
// <i>Enable support for SET operations
// <i>Default: Disable
#define BRIDGE_MIB_SET_SUPPORT 0

// </h>
// <h>RSTP-MIB

// <q>SET operation support
// <i>Enable support for SET operations
// <i>Default: Disable
#define RSTP_MIB_SET_SUPPORT 0

// </h>

//STP support
#ifdef RTE_CYCLONE_STP_STP
   #define STP_SUPPORT ENABLED
#else
   #define STP_SUPPORT DISABLED
#endif

//RSTP support
#ifdef RTE_CYCLONE_STP_RSTP
   #define RSTP_SUPPORT ENABLED
#else
   #define RSTP_SUPPORT DISABLED
#endif

//BRIDGE MIB module support
#ifdef RTE_CYCLONE_STP_BRIDGE_MIB
   #define BRIDGE_MIB_SUPPORT ENABLED
#else
   #define BRIDGE_MIB_SUPPORT DISABLED
#endif

//RSTP MIB module support
#ifdef RTE_CYCLONE_STP_RSTP_MIB
   #define RSTP_MIB_SUPPORT ENABLED
#else
   #define RSTP_MIB_SUPPORT DISABLED
#endif

#endif
