/**
 * @file stp_conditions.h
 * @brief STP algorithm conditions
 *
 * @section License
 *
 * SPDX-License-Identifier: GPL-2.0-or-later
 *
 * Copyright (C) 2019-2024 Oryx Embedded SARL. All rights reserved.
 *
 * This file is part of CycloneSTP Open.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * @author Oryx Embedded SARL (www.oryx-embedded.com)
 * @version 2.4.4
 **/

#ifndef _STP_CONDITIONS_H
#define _STP_CONDITIONS_H

//Dependencies
#include "stp/stp.h"

//C++ guard
#ifdef __cplusplus
extern "C" {
#endif

//STP related functions
bool_t stpRootBridge(StpBridgeContext *context);
bool_t stpDesignatedBridge(StpBridgeContext *context);
bool_t stpRootPort(StpBridgePort *port);
bool_t stpDesignatedPort(StpBridgePort *port);
bool_t stpSupersedesPortInfo(StpBridgePort *port, const StpBpdu *bpdu);

//C++ guard
#ifdef __cplusplus
}
#endif

#endif
