/**
 * @file snmp_framework_mib_module.h
 * @brief SNMP FRAMEWORK MIB module
 *
 * @section License
 *
 * SPDX-License-Identifier: GPL-2.0-or-later
 *
 * Copyright (C) 2010-2024 Oryx Embedded SARL. All rights reserved.
 *
 * This file is part of CycloneTCP Open.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * @author Oryx Embedded SARL (www.oryx-embedded.com)
 * @version 2.4.4
 **/

#ifndef _SNMP_FRAMEWORK_MIB_MODULE_H
#define _SNMP_FRAMEWORK_MIB_MODULE_H

//Dependencies
#include "mibs/mib_common.h"
#include "snmp/snmp_agent.h"

//SNMP FRAMEWORK MIB module support
#ifndef SNMP_FRAMEWORK_MIB_SUPPORT
   #define SNMP_FRAMEWORK_MIB_SUPPORT DISABLED
#elif (SNMP_FRAMEWORK_MIB_SUPPORT != ENABLED && SNMP_FRAMEWORK_MIB_SUPPORT != DISABLED)
   #error SNMP_FRAMEWORK_MIB_SUPPORT parameter is not valid
#endif

//C++ guard
#ifdef __cplusplus
extern "C" {
#endif


/**
 * @brief SNMP FRAMEWORK MIB base
 **/

typedef struct
{
   SnmpAgentContext *context;
} SnmpFrameworkMibBase;


//SNMP FRAMEWORK MIB related constants
extern SnmpFrameworkMibBase snmpFrameworkMibBase;
extern const MibObject snmpFrameworkMibObjects[];
extern const MibModule snmpFrameworkMibModule;

//C++ guard
#ifdef __cplusplus
}
#endif

#endif
